Payments
Update the organization Flutterwave subaccount
Updates the provider subaccount selected from the authenticated organization’s stored account ID. The server supplies split_value=0.05 and split_type=percentage. Records activity on provider success and returns provider JSON under HTTP200; local organization identity is not caller-controlled. Requires permission: one of access_payment_gateways.
PUT
/
flutterwave
/
subaccount
Update the organization Flutterwave subaccount
curl --request PUT \
--url https://api.gratona.com/v1/flutterwave/subaccount \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business_email": "finance@example.org",
"account_number": "EXAMPLE-ACCOUNT",
"business_name": "Example Nonprofit"
}
'import requests
url = "https://api.gratona.com/v1/flutterwave/subaccount"
payload = {
"business_email": "finance@example.org",
"account_number": "EXAMPLE-ACCOUNT",
"business_name": "Example Nonprofit"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business_email: 'finance@example.org',
account_number: 'EXAMPLE-ACCOUNT',
business_name: 'Example Nonprofit'
})
};
fetch('https://api.gratona.com/v1/flutterwave/subaccount', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/flutterwave/subaccount",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'business_email' => 'finance@example.org',
'account_number' => 'EXAMPLE-ACCOUNT',
'business_name' => 'Example Nonprofit'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/flutterwave/subaccount"
payload := strings.NewReader("{\n \"business_email\": \"finance@example.org\",\n \"account_number\": \"EXAMPLE-ACCOUNT\",\n \"business_name\": \"Example Nonprofit\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/flutterwave/subaccount")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"business_email\": \"finance@example.org\",\n \"account_number\": \"EXAMPLE-ACCOUNT\",\n \"business_name\": \"Example Nonprofit\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/flutterwave/subaccount")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"business_email\": \"finance@example.org\",\n \"account_number\": \"EXAMPLE-ACCOUNT\",\n \"business_name\": \"Example Nonprofit\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Request completed.",
"data": "<unknown>"
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Body
application/json
Validated request fields for this operation.
⌘I
Update the organization Flutterwave subaccount
curl --request PUT \
--url https://api.gratona.com/v1/flutterwave/subaccount \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business_email": "finance@example.org",
"account_number": "EXAMPLE-ACCOUNT",
"business_name": "Example Nonprofit"
}
'import requests
url = "https://api.gratona.com/v1/flutterwave/subaccount"
payload = {
"business_email": "finance@example.org",
"account_number": "EXAMPLE-ACCOUNT",
"business_name": "Example Nonprofit"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business_email: 'finance@example.org',
account_number: 'EXAMPLE-ACCOUNT',
business_name: 'Example Nonprofit'
})
};
fetch('https://api.gratona.com/v1/flutterwave/subaccount', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/flutterwave/subaccount",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'business_email' => 'finance@example.org',
'account_number' => 'EXAMPLE-ACCOUNT',
'business_name' => 'Example Nonprofit'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/flutterwave/subaccount"
payload := strings.NewReader("{\n \"business_email\": \"finance@example.org\",\n \"account_number\": \"EXAMPLE-ACCOUNT\",\n \"business_name\": \"Example Nonprofit\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/flutterwave/subaccount")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"business_email\": \"finance@example.org\",\n \"account_number\": \"EXAMPLE-ACCOUNT\",\n \"business_name\": \"Example Nonprofit\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/flutterwave/subaccount")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"business_email\": \"finance@example.org\",\n \"account_number\": \"EXAMPLE-ACCOUNT\",\n \"business_name\": \"Example Nonprofit\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Request completed.",
"data": "<unknown>"
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}